import { SVGProps } from "react";

const NavLogo = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={55}
    height={52}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M7.477 9.708 16.795.44 38.76.48l9.266 9.317-.037 24.906-9.318 9.266-21.965-.037-9.266-9.318.037-24.905Z"
      stroke="#fff"
      strokeWidth={0.882}
    />
    <path
      d="m15.286 14.333 5.756-5.775 13.56.023 5.724 5.807-.023 15.516-5.756 5.775-13.56-.023-5.724-5.807.023-15.516Z"
      stroke="#fff"
      strokeWidth={0.525}
    />
    <path
      d="M32.5 20.354a4.853 4.853 0 0 0 4.824-5.39 3.84 3.84 0 1 1-4.287-4.287 4.853 4.853 0 1 0-.537 9.677Z"
      fill="#D9D9D9"
    />
    <path
      d="M27.502 44.086c8.806-.053 17.032.503 27.235 1.712v5.407H.263v-5.407c10.203-1.21 18.43-1.765 27.235-1.712h.004Z"
      stroke="#fff"
      strokeWidth={0.525}
    />
    <path
      d="M20.701 45.88v3.203h-1.287v-1.768l-.874 1.768h-1.078l-.88-1.782v1.782h-1.288v-3.204h1.557l1.163 2.081 1.137-2.08h1.55ZM23.291 45.88v1.858a.49.49 0 0 0 .171.4c.118.093.296.14.532.14.237 0 .414-.047.532-.14a.482.482 0 0 0 .184-.4v-1.859h1.288v1.859c0 .294-.09.545-.27.754-.179.206-.424.362-.735.468a3.209 3.209 0 0 1-1.025.154c-.377 0-.714-.051-1.012-.154a1.577 1.577 0 0 1-.696-.468 1.162 1.162 0 0 1-.25-.754v-1.859h1.281ZM30.042 49.083l-1.452-1.404v1.404h-1.288v-3.204h1.288v1.382l1.439-1.382h1.485l-1.702 1.554 1.787 1.65h-1.557ZM33.953 46.593v.522h1.478v.677h-1.478v.577h1.675v.714h-2.963v-3.204h2.963v.714h-1.675ZM40 45.88v.708h-1.853v.563h1.367v.677h-1.367v1.255H36.86v-3.204H40Z"
      fill="#fff"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M25.318 23.934c-.324.042-.674.127-2.505.614-.304.081-.757.173-1.006.205l-.452.058-.778 1.48c-.428.813-.96 1.798-1.182 2.19-.298.522-.44.84-.542 1.198-.075.268-.187.644-.248.835-.073.228-.093.365-.06.398.05.05 6.607-.021 7.922-.085l.583-.029.084-.158c.154-.29.293-.396.516-.396.182 0 .228.028.421.257l.216.256h4.326c4.69 0 4.493.012 4.422-.27-.016-.064-.171-.311-.346-.55-.174-.238-.339-.512-.366-.608-.026-.097-.362-.722-.745-1.39-.643-1.12-1.496-2.754-1.577-3.02-.027-.09-.086-.12-.275-.145-.536-.07-1.112-.199-2.065-.463-1.284-.357-1.843-.454-2.44-.422-.53.029-.946.159-1.335.417l-.261.173-.126-.104c-.217-.178-.729-.39-1.076-.445-.382-.061-.597-.06-1.105.005Zm1.305.123c.35.083.769.286.909.44.076.085.08.313.045 2.539l-.038 2.445-.186-.178c-.235-.226-.527-.371-.968-.485-.29-.074-.576-.088-1.709-.085-1.192.003-1.588.027-3.2.195-1.013.105-1.95.184-2.084.176l-.244-.016.454-.815c.25-.448.723-1.326 1.05-1.951.818-1.563.754-1.47 1.011-1.471.267 0 1.046-.176 2.144-.482 1.4-.391 2.135-.472 2.817-.311Zm4.319.146c1.71.46 2.268.595 2.582.627l.335.035.492.982c.27.54.778 1.479 1.127 2.086l.635 1.104-.46.015c-.257.008-1.128-.054-1.982-.14-2.282-.234-3.216-.283-4.014-.212-.966.085-1.486.257-1.838.61l-.19.19.013-1.259c.042-4.025.029-3.686.142-3.774.17-.133.496-.295.796-.395.233-.078.401-.091.975-.075.597.017.79.046 1.387.206Zm-5.375 4.604c.91.075 1.383.216 1.695.506.134.124.32.414.281.437l-.207.096c-.164.074-.459.395-.513.558-.011.034-.07.032-.168-.006-.083-.031-.487-.082-.898-.114-.73-.055-2.05-.03-5.805.113-.635.024-1.17.034-1.187.023-.019-.011.041-.28.133-.599l.166-.579.482-.04c.265-.021 1.176-.11 2.023-.195 1.37-.14 2.461-.224 3.159-.244.127-.004.505.016.84.044Zm6.736.05 1.515.158c.55.058 1.311.12 1.69.14l.688.036.165.63.165.628h-.237c-.13-.001-.907-.036-1.726-.077-3.097-.158-4.94-.157-5.958.004-.134.02-.172-.003-.293-.18-.135-.199-.465-.414-.632-.414-.148 0 .128-.41.386-.576.27-.172.768-.334 1.236-.4.397-.055 2.283-.024 3.001.05Zm-8.577.16c-.282.025-.999.114-1.592.198a33.906 33.906 0 0 1-2.49.279c-.156.01.145.012.667.004.77-.011 1.18-.048 2.157-.194a28.528 28.528 0 0 1 1.772-.215c.917-.057 1.936.095 2.696.402.17.069.308.116.308.106 0-.01-.137-.089-.305-.174-.774-.39-1.827-.523-3.213-.405Zm5.778.052c-.416.068-1.085.29-1.314.438-.214.137-.204.135.39-.085 1.103-.408 2.256-.41 4.915-.006.874.133 1.718.185 2.1.13.282-.04.252-.045-.416-.079a24.376 24.376 0 0 1-1.797-.192 59.817 59.817 0 0 0-1.578-.21c-.588-.063-1.898-.06-2.3.004Zm-6.082.305c-.252.026-.934.117-1.515.201-1.24.18-2.15.266-2.441.23-.186-.023-.194-.02-.08.032.224.1 1.56.024 2.671-.15 1.406-.221 2.09-.282 2.776-.246.621.032 1.388.196 1.826.389.133.059.253.095.268.081.048-.048-.659-.336-1.083-.442-.497-.123-1.699-.17-2.422-.095Zm6.724 0c-.585.057-1.053.176-1.493.379-.385.178-.546.307-.189.152 1.104-.481 2.288-.559 4.228-.278.605.087 1.135.169 1.177.181.2.057 1.498.12 1.772.086.29-.037.27-.041-.334-.073a28.452 28.452 0 0 1-1.9-.215c-1.122-.162-2.466-.298-2.747-.28-.057.004-.288.026-.514.048Zm-6.754.39c-.127.012-.869.114-1.65.225-.917.132-1.615.205-1.977.207-.436.002-.53.015-.43.056.207.086 1.528.012 2.414-.134 1.692-.28 2.574-.34 3.367-.23.413.057 1.04.23 1.37.375.107.047.193.072.193.055 0-.063-.764-.375-1.13-.46-.38-.09-1.63-.144-2.157-.094Zm6.864.02a4.082 4.082 0 0 0-1.33.369c-.43.196-.426.24.006.064 1.066-.433 2.16-.465 4.294-.123 1.091.174 1.88.24 2.416.2.35-.025.346-.026-.232-.061a36.356 36.356 0 0 1-2.028-.241c-1.54-.22-2.478-.282-3.126-.208Z"
      fill="#fff"
    />
  </svg>
);

export default NavLogo;
